Index: sandbox/2.5.0-expresso1/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 7189)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 7195)
@@ -4748,8 +4748,9 @@
     }
 
-//Por Bruno Costa(bruno.vieira-costa@serpro.gov.br - Recebe os fontes dos emails a serem desarquivados, separa e envia cada um para função insert_mail.
+	//Por Bruno Costa(bruno.vieira-costa@serpro.gov.br - Recebe os fontes dos emails a serem desarquivados, separa e envia cada um para função insert_mail.
 
     function unarchive_mail($params)
     {	
+    	//Marcosw início - Implementação para arquivamento local com mailarchiver
         $dest_folder = urldecode($params['folder']);
         $sources = explode("#@#@#@",$params['source']);
@@ -4774,5 +4775,5 @@
 		 		$source = $this->treat_base64_from_post($sourcedec);
 				$insert = $this->insert_email($source,$dest_folder,$timestamps[$index],$flags[$index]);
-				
+
                 if($insert['error'])
                 {
@@ -4798,4 +4799,6 @@
         
         return $return;
+
+        //Marcosw fim
 
     	/*	
Index: sandbox/2.5.0-expresso1/expressoMail1_2/js/mail_archiver.js
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/js/mail_archiver.js	(revision 7189)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/js/mail_archiver.js	(revision 7195)
@@ -579,5 +579,5 @@
                 //Marcosw início - correção de inconsistência com o nome da pasta local
                 //expresso_mail_archive.getFolderInfo(folder.substr(6, folder.length));
-                expresso_mail_archive.getFolderInfo(folder.replace("local_messages",""));
+                expresso_mail_archive.getFolderInfo(folder.replace("local_messages_",""));
                 //Marcosw fim
 
@@ -762,14 +762,14 @@
                 }
                 else if (expresso_mail_archive.unarchive_error_counter == expresso_mail_archive.message_list.length)
-                    {
-                        //write_msg(get_lang('Message successfully unarchived'));
-                        document.getElementById('main_title').innerHTML = get_lang("No messages were unarchived");
-                        window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);
-                    }
-                    else{
-                        //write_msg(get_lang('Messages successfully unarchived'));
-                        document.getElementById('main_title').innerHTML = get_lang("Some messages weren't successfully unarchived");
-                        window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);  
-                    }
+                {
+                    //write_msg(get_lang('Message successfully unarchived'));
+                    document.getElementById('main_title').innerHTML = get_lang("No messages were unarchived");
+                    window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);
+                }
+                else{
+                    //write_msg(get_lang('Messages successfully unarchived'));
+                    document.getElementById('main_title').innerHTML = get_lang("Some messages weren't successfully unarchived");
+                    window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);  
+                }
                     
             }
@@ -832,5 +832,9 @@
     expresso_mail_archive.message_list = new Array();  
     expresso_mail_archive.listMessages(expresso_mail_archive.currentfolder);    
-    tree_folders.getNodeById('local_trash')._select();    
+
+    //Marcosw inicio - objeto tree_folders teve de ser comentado por gera inconsistência, não é mais utilizado
+    //tree_folders.getNodeById('local_trash')._select();    
+    //Marcosw fim
+
     /*connector.purgeCache();
     ttreeBox.name_folder = "local_" + expresso_mail_archive.currentfolder;