Index: sandbox/newExpressoMail/prototype/services/ImapServiceAdapter.php
===================================================================
--- sandbox/newExpressoMail/prototype/services/ImapServiceAdapter.php	(revision 6930)
+++ sandbox/newExpressoMail/prototype/services/ImapServiceAdapter.php	(revision 7209)
@@ -2,5 +2,5 @@
 /**
  *
- * Copyright (C) 2012 Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+ * Copyright (C) 2012 ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
  *
  * This program is free software; you can redistribute it and/or modify it under
@@ -26,16 +26,16 @@
  *
  * You can contact Prognus Software Livre headquarters at Av. Tancredo Neves,
- * 6731, PTI, Edifício do Saber, 3º floor, room 306, Foz do Iguaçu - PR - Brasil or at
+ * 6731, PTI, EdifÃ­cio do Saber, 3Âº floor, room 306, Foz do IguaÃ§u - PR - Brasil or at
  * e-mail address prognus@prognus.com.br.
  *
- * Classe de abstração que faz uma adaptação para manipulação de informações
- * no IMAP a partir de vários métodos.
+ * Classe de abstraÃ§Ã£o que faz uma adaptaÃ§Ã£o para manipulaÃ§Ã£o de informaÃ§Ãµes
+ * no IMAP a partir de vÃ¡rios mÃ©todos.
  *
  * @package    Prototype
  * @license    http://www.gnu.org/copyleft/gpl.html GPL
- * @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+ * @author     ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
  * @version    2.4
- * @sponsor    Caixa Econômica Federal
- * @since      Arquivo disponibilizado na versão 2.4
+ * @sponsor    Caixa EconÃŽmica Federal
+ * @since      Arquivo disponibilizado na versÃ£o 2.4
  */
 
@@ -48,8 +48,8 @@
  * @package    Prototype (Mail)
  * @license    http://www.gnu.org/copyleft/gpl.html GPL
- * @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+ * @author     ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
  * @version    2.4
- * @sponsor    Caixa Econômica Federal
- * @since      Classe disponibilizada na versão 2.4
+ * @sponsor    Caixa EconÃŽmica Federal
+ * @since      Classe disponibilizada na versÃ£o 2.4
  */
 class ImapServiceAdapter extends imap_functions/* implements Service*/
@@ -70,8 +70,11 @@
 		$context = isset($justthese['context']) ? $justthese['context'] : '' ;
 
+		$context = $context == '' ? (isset($criteria['folder']) ? $criteria : '') : $context;
+
 		switch( $URI['concept'] )
 		{
 			case 'folder':
 			{
+				
 				$result = $this->getFolders();
 
@@ -122,9 +125,9 @@
 				
 				/**
-				 * Trata o caso específico de retorno do atributo messageId
+				 * Trata o caso especÃ­fico de retorno do atributo messageId
 				 *
-				 * TODO - refazer todo a operação find do conceito message, uma vez que esta 
+				 * TODO - refazer todo a operaÃ§Ã£o find do conceito message, uma vez que esta 
 				 * foi desenvolvida quando a nova API ainda era muito imatura e se encontra 
-				 * muito acoplada à estrutura de retorno esperada pelo plugin jqGrid
+				 * muito acoplada Ã  estrutura de retorno esperada pelo plugin jqGrid
 				 */
 				if ( $justthese ) 
@@ -150,5 +153,5 @@
 
 							/**
-							 * Se não foi passado messageNumber no filtro, 
+							 * Se nÃ£o foi passado messageNumber no filtro, 
 							 * busca todas as mensagens de cada pasta
 							 */
@@ -341,5 +344,5 @@
 
 					/**
-					 * Se é uma busca por messageId
+					 * Se Ã© uma busca por messageId
 					 */
 					if (!empty($map['messageId'])) {
@@ -358,6 +361,6 @@
 
 					/**
-					 * Se é uma busca por messageNumber.
-					 * Lembrando que, neste caso, só deve ser suportada uma única pasta no filtro.
+					 * Se Ã© uma busca por messageNumber.
+					 * Lembrando que, neste caso, sÃ³ deve ser suportada uma Ãºnica pasta no filtro.
 					 */
 					} else {
@@ -366,5 +369,5 @@
 
 					/**
-					 * Se é uma busca por messageId, deve ser comparado com os messageNumbers 
+					 * Se Ã© uma busca por messageId, deve ser comparado com os messageNumbers 
 					 * passados no filtro, se houverem.
 					 */
@@ -377,5 +380,5 @@
 
 					/**
-					 * Adicionar demais atributos às mensagens para retorno
+					 * Adicionar demais atributos Ã s mensagens para retorno
 					 */
 					if(is_array($messages))
@@ -392,5 +395,5 @@
 					
 					/**
-					 * Se é uma busca por messageId e todos os messageIds foram econstrados:
+					 * Se Ã© uma busca por messageId e todos os messageIds foram econstrados:
 					 * Stop searching in all folders
 					 */
@@ -452,5 +455,5 @@
 			
 				/** 
-				 * identifica se o formato de ID é "folder/subfolder/subsubfolder/<messageNumber>" ou "<message-id>"
+				 * identifica se o formato de ID Ã© "folder/subfolder/subsubfolder/<messageNumber>" ou "<message-id>"
 				 */
 				$folderName = $messageNumber = false;
@@ -479,5 +482,5 @@
 					/**
 					 * Busca pela mensagem com o messageId dado. Se uma pasta foi passada, busca nela,
-					 * senão busca em todas.
+					 * senÃ£o busca em todas.
 					 */
 					
@@ -549,6 +552,6 @@
 					 * TODO
 					 * Verificar erro ao tentar setar uma flag com o limite de flags atingido
-					 * onde o status retornado pelo imap_setflag_full é true mesmo não sendo possível
-					 * a inserção da flag.
+					 * onde o status retornado pelo imap_setflag_full Ã© true mesmo nÃ£o sendo possÃ­vel
+					 * a inserÃ§Ã£o da flag.
 					 */
 
@@ -558,5 +561,5 @@
 					/**
 					 * Busca pela mensagem com o messageId dado. Se uma pasta foi passada, busca nela,
-					 * senão busca em todas.
+					 * senÃ£o busca em todas.
 					 */
 					$folders = array ();
@@ -693,4 +696,8 @@
 				return $return;
 			}
+			case 'folder':
+			{
+
+			}
 		}
 	}
@@ -740,5 +747,5 @@
 				
 					/**
-					 * Se é uma busca por messageId
+					 * Se Ã© uma busca por messageId
 					 */
 					if (!empty($map['messageId'])) {
@@ -754,6 +761,6 @@
 
 					/**
-					 * Se é uma busca por messageNumber.
-					 * Lembrando que, neste caso, só deve ser suportada uma única pasta no filtro.
+					 * Se Ã© uma busca por messageNumber.
+					 * Lembrando que, neste caso, sÃ³ deve ser suportada uma Ãºnica pasta no filtro.
 					 */
 					} else {
@@ -762,5 +769,5 @@
 
 					/**
-					 * Se é uma busca por messageId, deve ser comparado com os messageNumbers 
+					 * Se Ã© uma busca por messageId, deve ser comparado com os messageNumbers 
 					 * passados no filtro, se houverem.
 					 */
@@ -777,5 +784,5 @@
 
 					/**
-					 * Se é uma busca por messageId e todos os messageIds foram econstrados:
+					 * Se Ã© uma busca por messageId e todos os messageIds foram econstrados:
 					 * Stop searching in all folders
 					 */
@@ -802,5 +809,5 @@
 
 		/**
-		 * TODO - implementar a deleção de todos os followupflaggeds conforme filtro
+		 * TODO - implementar a deleÃ§Ã£o de todos os followupflaggeds conforme filtro
 		 */
 	}
@@ -809,8 +816,8 @@
     {
 		/**
-		 * Os únicos atributos da sinalização presentes no IMAP são folderName, messageNumber e messageId,
-		 * porém a operação de update desses atributos não faz sentido para o usuário da DataLayer,
-		 * pois na prática elas são executadas através das operações de CREATE e DELETE.
-		 * Assim, para os conceitos "labeled" e "followupflagged", só faz sentido o update de 
+		 * Os Ãºnicos atributos da sinalizaÃ§Ã£o presentes no IMAP sÃ£o folderName, messageNumber e messageId,
+		 * porÃ©m a operaÃ§Ã£o de update desses atributos nÃ£o faz sentido para o usuÃ¡rio da DataLayer,
+		 * pois na prÃ¡tica elas sÃ£o executadas atravÃ©s das operaÃ§Ãµes de CREATE e DELETE.
+		 * Assim, para os conceitos "labeled" e "followupflagged", sÃ³ faz sentido o update de 
 		 * atributos gravados no banco de dados e nunca no IMAP.
 		 */