Index: sandbox/newExpressoMail/newExpressoMail/setup/default_records.inc.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/setup/default_records.inc.php	(revision 7212)
+++ sandbox/newExpressoMail/newExpressoMail/setup/default_records.inc.php	(revision 7212)
@@ -0,0 +1,3 @@
+<?php
+
+?>
Index: sandbox/newExpressoMail/newExpressoMail/setup/tables_current.inc.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/setup/tables_current.inc.php	(revision 7212)
+++ sandbox/newExpressoMail/newExpressoMail/setup/tables_current.inc.php	(revision 7212)
@@ -0,0 +1,12 @@
+<?php
+  /**************************************************************************\
+  * eGroupWare                                                               *
+  * http://www.egroupware.org                                                *
+  * --------------------------------------------                             *
+  *  This program is free software; you can redistribute it and/or modify it *
+  *  under the terms of the GNU General Public License as published by the   *
+  *  Free Software Foundation; either version 2 of the License, or (at your  *
+  *  option) any later version.                                              *
+  \**************************************************************************/
+
+?>
Index: sandbox/newExpressoMail/newExpressoMail/setup/tables_update.inc.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/setup/tables_update.inc.php	(revision 7212)
+++ sandbox/newExpressoMail/newExpressoMail/setup/tables_update.inc.php	(revision 7212)
@@ -0,0 +1,14 @@
+<?php
+	/**************************************************************************\
+	* ExpressoLivre - Setup                                                     *
+	* http://www.expressolivre.org                                              *
+	* --------------------------------------------                             *
+	* This program is free software; you can redistribute it and/or modify it  *
+	* under the terms of the GNU General Public License as published by the    *
+	* Free Software Foundation; either version 2 of the License, or (at your   *
+	* option) any later version.                                               *
+	\**************************************************************************/
+
+	
+        
+?>
Index: sandbox/newExpressoMail/newExpressoMail/setup/setup.inc.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/setup/setup.inc.php	(revision 7212)
+++ sandbox/newExpressoMail/newExpressoMail/setup/setup.inc.php	(revision 7212)
@@ -0,0 +1,41 @@
+<?php
+	/***********************************************************************************\
+	* Expresso Calendar                										   
+	* 
+	* ---------------------------------------------------------------------------------*
+	*  This program is free software; you can redistribute it and/or modify it		   *
+	*  under the terms of the GNU General Public License as published by the		   *
+	*  Free Software Foundation; either version 2 of the License, or (at your		   *
+	*  option) any later version.													   *
+	\***********************************************************************************/
+
+	$setup_info['newExpressoMail']['name']      	= 'newExpressoMail';
+	$setup_info['newExpressoMail']['title']     	= 'Expresso Mail 2.0';
+	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
+	$setup_info['newExpressoMail']['version']   	= '1.000';
+	$setup_info['newExpressoMail']['app_order']	= 13;
+
+	//$setup_info['newExpressoMail']['tables'][]		=  'calendar_signature_alarm';
+
+	$setup_info['newExpressoMail']['enable']		= 1;
+
+	$setup_info['newExpressoMail']['author'] = 'autor';
+
+	$setup_info['newExpressoMail']['maintainer'] = 'mantedor';
+
+	$setup_info['newExpressoMail']['license']  = 'GPL';
+	$setup_info['newExpressoMail']['description'] = 'Modulo de E-mails do ExpressoLivre';
+
+	$setup_info['newExpressoMail']['hooks'][] = 'admin';
+
+	/* The hooks this app includes, needed for hooks registration */
+//	$setup_info['newExpressoMail']['hooks'][] = 'admin';
+	
+//	/* Dependencies for this app to work */
+//	$setup_info['newExpressoMail']['depends'][] = array(
+//		'appname' => 'phpgwapi',
+//		'versions' => Array('2.4.0')
+//	);
+    
+    
+?>
Index: sandbox/newExpressoMail/newExpressoMail/inc/hook_admin.inc.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/inc/hook_admin.inc.php	(revision 7212)
+++ sandbox/newExpressoMail/newExpressoMail/inc/hook_admin.inc.php	(revision 7212)
@@ -0,0 +1,20 @@
+<?php
+	/***********************************************************************************\
+	* Expresso Calendar                										   
+	* 
+	* ---------------------------------------------------------------------------------*
+	*  This program is free software; you can redistribute it and/or modify it		   *
+	*  under the terms of the GNU General Public License as published by the		   *
+	*  Free Software Foundation; either version 2 of the License, or (at your		   *
+	*  option) any later version.													   *
+	\***********************************************************************************/
+
+	// Only Modify the $file and $title variables.....
+	$title = $appname;
+	$file = Array(
+		'ExpressoCalendar migração' => $GLOBALS['phpgw']->link('/index.php','menuaction=admin.uiconfig.index&appname=' . $appname)
+	);
+	//Do not modify below this line
+	display_section($appname,$title,$file);
+
+?>
Index: sandbox/newExpressoMail/newExpressoMail/index.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/index.php	(revision 7212)
+++ sandbox/newExpressoMail/newExpressoMail/index.php	(revision 7212)
@@ -0,0 +1,33 @@
+<?php
+
+        $GLOBALS['phpgw_info']['flags'] = Array(   'currentapp'    =>      'newExpressoMail',
+                                                   'noheader'      =>      true,
+                                                   'nonavbar'      =>      false,
+                                                   'noappheader'   =>      true,
+                                                   'noappfooter'   =>      true,
+                                                   'nofooter'      =>      true,
+                                                   //'noapi' => false
+                                                   );
+						  
+        require_once( dirname(__FILE__).'/../prototype/api/config.php' );
+        
+        require_once (dirname(__FILE__).'/../header.inc.php');
+        $update_version = $GLOBALS['phpgw_info']['apps']['newExpressoMail']['version'];
+
+        $_SESSION['flags']['currentapp'] = 'newExpressoMail';
+
+        $c = CreateObject('phpgwapi.config','expressoMail1_2');
+        $c->read_repository();
+        $current_config = $c->config_data;
+
+        $ldap_manager = CreateObject('contactcenter.bo_ldap_manager');
+        $boemailadmin = CreateObject('emailadmin.bo');
+        $emailadmin_profile = $boemailadmin->getProfileList();
+        $imap_configs = $boemailadmin->getProfile($emailadmin_profile[0]['profileID']);
+
+        define( 'MODULESURL' , '../prototype/modules/newMail' );
+        define( 'PLUGINSURL' , '../prototype/plugins' );
+        define( 'HOMEURL' , dirname(__FILE__) );
+        
+        include ROOTPATH.'/modules/newMail/templates/index.ejs';
+?>
Index: sandbox/newExpressoMail/newExpressoMail/templates/default/config.tpl
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/templates/default/config.tpl	(revision 7212)
+++ sandbox/newExpressoMail/newExpressoMail/templates/default/config.tpl	(revision 7212)
@@ -0,0 +1,41 @@
+<!-- BEGIN header -->
+<form  method="POST" action="{action_url}">
+<input type="hidden" name="migration" value="true">
+<table border="0" align="center">
+	<tr class="th">
+		<td colspan="2"><font color="{th_text}">&nbsp;<b>{title}</b></font></td>
+	</tr>
+	<tr>
+   		<td></td>
+	</tr>
+	<tr>
+		<td colspan="2"><b>{error}</b></td>
+	</tr>
+   <tr>
+   	<td></td>
+   </tr>
+<!-- END header -->
+<!-- BEGIN body -->
+	<tr class="th">
+		<td colspan="2" align="center"><b>{lang_expressoCalendar_migration}</b></td>
+	</tr>
+	<tr>
+   		<td></td>
+	</tr>
+	<tr class="row_on">
+		<td>{lang_Migrate_all_calendar_events_for_expressoCalendar}:</td>
+	</tr>	
+<!-- END body -->
+<!-- BEGIN footer -->
+	<tr class="th">
+		<td colspan="2">&nbsp;</td>
+	</tr>
+	<tr>
+		<td colspan="2" align="center">
+			<input type="submit" name="submit" value="{lang_submit}">
+			<input type="submit" name="cancel" value="{lang_cancel}">
+		</td>
+	</tr>
+</table>
+</form>
+<!-- END footer -->