Index: sandbox/2.5.0-expresso1/prototype/modules/mail/js/foldertree.js
===================================================================
--- sandbox/2.5.0-expresso1/prototype/modules/mail/js/foldertree.js	(revision 7206)
+++ sandbox/2.5.0-expresso1/prototype/modules/mail/js/foldertree.js	(revision 7220)
@@ -91,4 +91,5 @@
     var folders = DataLayer.get("folder", true);    
 
+if(preferences.use_local_messages != 0){
 
     if(expresso_mail_archive.folders){  //MailArchive
@@ -106,4 +107,5 @@
  
     }
+}
 
     if(!selected){
Index: sandbox/2.5.0-expresso1/expressoMail1_2/index.php
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/index.php	(revision 7146)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/index.php	(revision 7220)
@@ -413,5 +413,5 @@
 		$scripts .= "js/shortcut.js,";
 	}
-				
+	echo "<script> use_local_messages = ".$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['use_local_messages']."</script>";		
 	if($_SESSION['phpgw_info']['user']['preferences']['expressoMail']['use_local_messages'])
 		$scripts .= "js/local_messages.js,";
Index: sandbox/2.5.0-expresso1/expressoMail1_2/js/doiMenuData.js
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/js/doiMenuData.js	(revision 7157)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/js/doiMenuData.js	(revision 7220)
@@ -100,4 +100,33 @@
  */
 function loadMenu(){
+        var archive = "";
+        if(use_local_messages != 0){
+            archive = {"name": get_lang("Archive"), "icon": "archive", callback: function(key, opt){ proxy_mensagens.archive_message('inbox', 'get_selected_messages'); }}
+        }else{
+            archive = "";
+        }
+
+        var menu = {
+            "flagSeen":      {"name": get_lang("Mark as") + " " + get_lang('seen'), "icon": "seen", callback: function(key, opt){ proxy_mensagens.proxy_set_messages_flag('seen','get_selected_messages'); }},
+            "flagUnseen":    {"name": get_lang("Mark as") + " " + get_lang('unseen'), "icon": "unseen", callback: function(key, opt){ proxy_mensagens.proxy_set_messages_flag('unseen','get_selected_messages'); }},
+            "flagFlagged":   {"name": get_lang("Mark as") + " " + get_lang('important'), "icon": "important", callback: function(key, opt){ proxy_mensagens.proxy_set_messages_flag('flagged','get_selected_messages'); }},
+            "flagUnflagged": {"name": get_lang("Mark as") + " " + get_lang('normal'), callback: function(key, opt){ proxy_mensagens.proxy_set_messages_flag('unflagged','get_selected_messages'); }},
+            
+            "sep1": "---------",
+            "label": { "name": get_lang("Labels"), "items": labelItems},
+            "follouwpflag":{"name": get_lang("Follow up"), callback: function(key, opt){ configureFollowupflag(); } },
+            
+            "sep2": "---------",
+            "move": {"name": get_lang("Move to")+"...", "icon": "move", callback: function(key, opt){ wfolders.makeWindow('', 'move_to'); }},
+            "remove": {"name": get_lang("Delete"),      "icon": "delete", callback: function(key, opt){ proxy_mensagens.delete_msgs('null','selected','null'); }},
+            "export": {"name": get_lang("Export"),      "icon": "export", callback: function(key, opt){ proxy_mensagens.export_all_messages(); }},
+            /* Airton
+                TO-DO: Esse menu só deve aparecer quando a preferência de arquivamento local estiver ativada
+                Como aqui dentro não dá pra fazer um if, fazer isso no início do método, passar toda essa linha para uma string e depois só colocar a variável aqui embaixo
+            */   
+            "archive": archive
+        }
+
+
 	var labelItems = getLabels();
 	$.contextMenu({
@@ -115,24 +144,6 @@
 			selectAllFolderMsgs(false);
 		},
-		items: {
-			"flagSeen":      {"name": get_lang("Mark as") + " " + get_lang('seen'), "icon": "seen", callback: function(key, opt){ proxy_mensagens.proxy_set_messages_flag('seen','get_selected_messages'); }},
-			"flagUnseen":    {"name": get_lang("Mark as") + " " + get_lang('unseen'), "icon": "unseen", callback: function(key, opt){ proxy_mensagens.proxy_set_messages_flag('unseen','get_selected_messages'); }},
-			"flagFlagged":   {"name": get_lang("Mark as") + " " + get_lang('important'), "icon": "important", callback: function(key, opt){ proxy_mensagens.proxy_set_messages_flag('flagged','get_selected_messages'); }},
-			"flagUnflagged": {"name": get_lang("Mark as") + " " + get_lang('normal'), callback: function(key, opt){ proxy_mensagens.proxy_set_messages_flag('unflagged','get_selected_messages'); }},
-			
-			"sep1": "---------",
-			"label": { "name": get_lang("Labels"), "items": labelItems},
-			"follouwpflag":{"name": get_lang("Follow up"), callback: function(key, opt){ configureFollowupflag(); } },
-			
-			"sep2": "---------",
-			"move": {"name": get_lang("Move to")+"...", "icon": "move", callback: function(key, opt){ wfolders.makeWindow('', 'move_to'); }},
-			"remove": {"name": get_lang("Delete"),      "icon": "delete", callback: function(key, opt){ proxy_mensagens.delete_msgs('null','selected','null'); }},
-			"export": {"name": get_lang("Export"),      "icon": "export", callback: function(key, opt){ proxy_mensagens.export_all_messages(); }},
-			/* Airton
-				TO-DO: Esse menu só deve aparecer quando a preferência de arquivamento local estiver ativada
-				Como aqui dentro não dá pra fazer um if, fazer isso no início do método, passar toda essa linha para uma string e depois só colocar a variável aqui embaixo
-			*/   
-			"archive": {"name": get_lang("Archive"), "icon": "archive", callback: function(key, opt){ proxy_mensagens.archive_message('inbox', 'get_selected_messages'); }}
-		}
+		items: menu
+
 	});
 }