Index: /trunk/phpgwapi/setup/tables_update.inc.php
===================================================================
--- /trunk/phpgwapi/setup/tables_update.inc.php	(revision 6725)
+++ /trunk/phpgwapi/setup/tables_update.inc.php	(revision 7223)
@@ -169,3 +169,10 @@
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
 	}
+
+    $test[] = '2.4.1';
+	function phpgwapi_upgrade2_4_1()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.4.2';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
 ?>
Index: /trunk/phpgwapi/setup/setup.inc.php
===================================================================
--- /trunk/phpgwapi/setup/setup.inc.php	(revision 6725)
+++ /trunk/phpgwapi/setup/setup.inc.php	(revision 7223)
@@ -14,6 +14,6 @@
 	$setup_info['phpgwapi']['name']      = 'phpgwapi';
 	$setup_info['phpgwapi']['title']     = 'API';
-	$setup_info['phpgwapi']['version']   = '2.4.1';
-	$setup_info['phpgwapi']['versions']['current_header'] = '2.4.1';
+	$setup_info['phpgwapi']['version']   = '2.4.2';
+	$setup_info['phpgwapi']['versions']['current_header'] = '2.4.2';
 	$setup_info['phpgwapi']['enable']    = 3;
 	$setup_info['phpgwapi']['app_order'] = 1;
Index: /trunk/news_admin/setup/tables_update.inc.php
===================================================================
--- /trunk/news_admin/setup/tables_update.inc.php	(revision 6725)
+++ /trunk/news_admin/setup/tables_update.inc.php	(revision 7223)
@@ -79,3 +79,10 @@
 		return $GLOBALS['setup_info']['news_admin']['currentver'];
 	}
+
+    $test[] = '2.4.1';
+    function news_admin_upgrade2_4_1()
+    {
+        $GLOBALS['setup_info']['news_admin']['currentver'] = '2.4.2';
+        return $GLOBALS['setup_info']['news_admin']['currentver'];
+    }
 ?>
Index: /trunk/news_admin/setup/setup.inc.php
===================================================================
--- /trunk/news_admin/setup/setup.inc.php	(revision 6725)
+++ /trunk/news_admin/setup/setup.inc.php	(revision 7223)
@@ -14,5 +14,5 @@
 	$setup_info['news_admin']['name']      = 'news_admin';
 	$setup_info['news_admin']['title']     = 'News Admin';
-	$setup_info['news_admin']['version']   = '2.4.1';
+	$setup_info['news_admin']['version']   = '2.4.2';
 	$setup_info['news_admin']['app_order'] = 16;
 	$setup_info['news_admin']['enable']    = 1;
@@ -31,5 +31,5 @@
 	$setup_info['news_admin']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('2.4.1')
+		 'versions' => Array('2.4.2')
 	);
 
Index: /trunk/reports/setup/setup.inc.php
===================================================================
--- /trunk/reports/setup/setup.inc.php	(revision 6725)
+++ /trunk/reports/setup/setup.inc.php	(revision 7223)
@@ -13,5 +13,5 @@
 	$setup_info['reports']['title']     	= 'Expresso Reports';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['reports']['version']   	= '2.4.1';
+	$setup_info['reports']['version']   	= '2.4.2';
 	$setup_info['reports']['app_order']	= 17;
 	$setup_info['reports']['tables']    = '';
@@ -41,5 +41,5 @@
 	$setup_info['reports']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.4.1')
+		'versions' => Array('2.4.2')
 	);
 ?>
Index: /trunk/mobile/setup/setup.inc.php
===================================================================
--- /trunk/mobile/setup/setup.inc.php	(revision 6725)
+++ /trunk/mobile/setup/setup.inc.php	(revision 7223)
@@ -14,5 +14,5 @@
 	$setup_info['mobile']['name']      = 'mobile';
 	$setup_info['mobile']['title']     = 'Expresso Mini';
-	$setup_info['mobile']['version']   = '2.4.1';
+	$setup_info['mobile']['version']   = '2.4.2';
 	$setup_info['mobile']['app_order'] = 4;
 	$setup_info['mobile']['enable']    = 2;
@@ -39,5 +39,5 @@
 	$setup_info['mobile']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.4.1')
+		'versions' => Array('2.4.2')
 	);
 ?>
Index: /trunk/filemanager/setup/setup.inc.php
===================================================================
--- /trunk/filemanager/setup/setup.inc.php	(revision 6725)
+++ /trunk/filemanager/setup/setup.inc.php	(revision 7223)
@@ -14,5 +14,5 @@
 	$setup_info['filemanager']['name']    = 'filemanager';
 	$setup_info['filemanager']['title']   = 'Filemanager';
-	$setup_info['filemanager']['version'] = '2.4.1';
+	$setup_info['filemanager']['version'] = '2.4.2';
 	$setup_info['filemanager']['app_order'] = 6;
 	$setup_info['filemanager']['enable']  = 1;
@@ -48,5 +48,5 @@
 	(
 		 'appname' => 'phpgwapi',
-		 'versions' => array('2.4.1')
+		 'versions' => array('2.4.2')
 	);
 ?>
Index: /trunk/expressoAdmin1_2/setup/tables_update.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/setup/tables_update.inc.php	(revision 6725)
+++ /trunk/expressoAdmin1_2/setup/tables_update.inc.php	(revision 7223)
@@ -330,4 +330,11 @@
 		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.4.1';
 		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
-	}	 
+	}
+
+    $test[] = '2.4.1';
+	function expressoAdmin1_2_upgrade2_4_1()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.4.2';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}
 ?>
Index: /trunk/expressoAdmin1_2/setup/setup.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/setup/setup.inc.php	(revision 6725)
+++ /trunk/expressoAdmin1_2/setup/setup.inc.php	(revision 7223)
@@ -13,5 +13,5 @@
 	$setup_info['expressoAdmin1_2']['title']     	= 'Expresso Admin';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['expressoAdmin1_2']['version']   	= '2.4.1';
+	$setup_info['expressoAdmin1_2']['version']   	= '2.4.2';
 	$setup_info['expressoAdmin1_2']['app_order']	= 1;
 	$setup_info['expressoAdmin1_2']['tables'][]		= 'phpgw_expressoadmin';
@@ -37,5 +37,5 @@
 	$setup_info['expressoAdmin1_2']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.4.1')
+		'versions' => Array('2.4.2')
 	);
 ?>
Index: /trunk/expressoAdmin1_2/inc/class.user.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.user.inc.php	(revision 6553)
+++ /trunk/expressoAdmin1_2/inc/class.user.inc.php	(revision 7223)
@@ -79,7 +79,13 @@
 			
 				// Cria array para incluir no LDAP
-				$dn = 'uid=' . $params['uid'] . ',' . $params['context'];		
-			
-				$user_info = array();
+				$dn = 'uid=' . $params['uid'] . ',' . $params['context'];
+
+                ob_start();
+                print_r($params);
+                $output = ob_get_clean();
+                file_put_contents( "/tmp/acoutinho.log",  $output , FILE_APPEND);
+
+
+                $user_info = array();
 				$user_info['accountStatus'] 			= $params['accountstatus'] == 1 ? 'active' : 'desactive';
 				$user_info['cn']						= $params['givenname'] . ' ' . $params['sn'];
Index: /trunk/listAdmin/setup/setup.inc.php
===================================================================
--- /trunk/listAdmin/setup/setup.inc.php	(revision 6725)
+++ /trunk/listAdmin/setup/setup.inc.php	(revision 7223)
@@ -9,5 +9,5 @@
 	$setup_info['listAdmin']['name'] = 'listAdmin';
 	$setup_info['listAdmin']['title'] = 'Mailman Admin';
-	$setup_info['listAdmin']['version'] = '2.4.1';
+	$setup_info['listAdmin']['version'] = '2.4.2';
 	$setup_info['listAdmin']['app_order'] = 10;
 	$setup_info['listAdmin']['enable'] = 1;
@@ -30,5 +30,5 @@
 	$setup_info['listAdmin']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.0','2.1','2.2','2.4', '2.4.1')
+		'versions' => Array('2.0','2.1','2.2','2.4', '2.4.2')
 	);
 ?>
Index: /trunk/admin/setup/setup.inc.php
===================================================================
--- /trunk/admin/setup/setup.inc.php	(revision 6725)
+++ /trunk/admin/setup/setup.inc.php	(revision 7223)
@@ -13,5 +13,5 @@
 	$setup_info['admin']['name']      = 'admin';
 	$setup_info['admin']['title']      = 'Admin';
-	$setup_info['admin']['version']   = '2.4.1';
+	$setup_info['admin']['version']   = '2.4.2';
 	$setup_info['admin']['app_order'] = 1;
 	$setup_info['admin']['tables']    = '';
@@ -48,5 +48,5 @@
 	$setup_info['admin']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.4.1')
+		'versions' => Array('2.4.2')
 	);
 ?>
Index: /trunk/help/setup/setup.inc.php
===================================================================
--- /trunk/help/setup/setup.inc.php	(revision 6725)
+++ /trunk/help/setup/setup.inc.php	(revision 7223)
@@ -13,5 +13,5 @@
 	$setup_info['help']['name']      = 'help';
 	$setup_info['help']['title']     = 'User Manual and Help Page';
-	$setup_info['help']['version']   = '2.4.1';
+	$setup_info['help']['version']   = '2.4.2';
 	$setup_info['help']['app_order'] = 5;
 	$setup_info['help']['enable']    = 2;	// Invisible on top (navigation bar)
@@ -26,5 +26,5 @@
 	$setup_info['help']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('2.4.1')
+		 'versions' => Array('2.4.2')
 	);
 ?>
Index: /trunk/jabberit_messenger/setup/setup.inc.php
===================================================================
--- /trunk/jabberit_messenger/setup/setup.inc.php	(revision 6725)
+++ /trunk/jabberit_messenger/setup/setup.inc.php	(revision 7223)
@@ -8,5 +8,5 @@
 	$setup_info['jabberit_messenger']['name']      	= 'jabberit_messenger';
 	$setup_info['jabberit_messenger']['title']     	= 'Expresso Messenger';
-	$setup_info['jabberit_messenger']['version']   	= '2.4.1';
+	$setup_info['jabberit_messenger']['version']   	= '2.4.2';
 	$setup_info['jabberit_messenger']['app_order'] 	= 9;
 	$setup_info['jabberit_messenger']['enable']    	= 1;
@@ -27,5 +27,5 @@
 	$setup_info['jabberit_messenger']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.4.1')
+		'versions' => Array('2.4.2')
 	);
 ?>
Index: /trunk/contactcenter/setup/tables_update.inc.php
===================================================================
--- /trunk/contactcenter/setup/tables_update.inc.php	(revision 6255)
+++ /trunk/contactcenter/setup/tables_update.inc.php	(revision 7223)
@@ -93,3 +93,9 @@
  		return $GLOBALS['setup_info']['contactcenter']['currentver'];
  	}
+
+    $test[] = '2.4.1';
+    function contactcenter_upgrade2_4_1() {
+        $GLOBALS['setup_info']['contactcenter']['currentver'] = '2.4.2';
+        return $GLOBALS['setup_info']['contactcenter']['currentver'];
+    }
 ?>
Index: /trunk/contactcenter/setup/setup.inc.php
===================================================================
--- /trunk/contactcenter/setup/setup.inc.php	(revision 6255)
+++ /trunk/contactcenter/setup/setup.inc.php	(revision 7223)
@@ -17,5 +17,5 @@
 	$setup_info['contactcenter']['name']      = 'contactcenter';
 	$setup_info['contactcenter']['title']     = 'ContactCenter';
-	$setup_info['contactcenter']['version']   = '2.4.1';
+	$setup_info['contactcenter']['version']   = '2.4.2';
 	$setup_info['contactcenter']['app_order'] = 4;
 	$setup_info['contactcenter']['enable']    = 1;
@@ -77,5 +77,5 @@
 	$setup_info['contactcenter']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.4')
+		'versions' => Array('2.4.2')
 	);
 ?>
Index: /trunk/emailadmin/setup/tables_update.inc.php
===================================================================
--- /trunk/emailadmin/setup/tables_update.inc.php	(revision 6725)
+++ /trunk/emailadmin/setup/tables_update.inc.php	(revision 7223)
@@ -135,3 +135,10 @@
       return $GLOBALS['setup_info']['emailadmin']['currentver'];
    }
+
+    $test[] = '2.4.1';
+   function emailadmin_upgrade2_4_1()
+	{
+      $GLOBALS['setup_info']['emailadmin']['currentver'] = '2.4.2';
+      return $GLOBALS['setup_info']['emailadmin']['currentver'];
+   }
 ?>
Index: /trunk/emailadmin/setup/setup.inc.php
===================================================================
--- /trunk/emailadmin/setup/setup.inc.php	(revision 6725)
+++ /trunk/emailadmin/setup/setup.inc.php	(revision 7223)
@@ -14,5 +14,5 @@
 	$setup_info['emailadmin']['name']      = 'emailadmin';
 	$setup_info['emailadmin']['title']     = 'EMailAdmin';
-	$setup_info['emailadmin']['version']   = '2.4.1';
+	$setup_info['emailadmin']['version']   = '2.4.2';
 	$setup_info['emailadmin']['app_order'] = 10;
 	$setup_info['emailadmin']['enable']    = 2;
@@ -40,5 +40,5 @@
 	$setup_info['emailadmin']['depends'][] = array(
 		'appname'  => 'phpgwapi',
-		'versions' => Array('2.4.1')
+		'versions' => Array('2.4.2')
 	);
 
Index: /trunk/preferences/setup/setup.inc.php
===================================================================
--- /trunk/preferences/setup/setup.inc.php	(revision 6725)
+++ /trunk/preferences/setup/setup.inc.php	(revision 7223)
@@ -13,5 +13,5 @@
 	$setup_info['preferences']['name']      = 'preferences';
 	$setup_info['preferences']['title']     = 'Preferences';
-	$setup_info['preferences']['version']   = '2.4.1';
+	$setup_info['preferences']['version']   = '2.4.2';
 	$setup_info['preferences']['app_order'] = 1;
 	$setup_info['preferences']['tables']    = '';
@@ -28,5 +28,5 @@
 	$setup_info['preferences']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.4.1')
+		'versions' => Array('2.4.2')
 	);
 ?>
Index: /trunk/calendar/setup/tables_update.inc.php
===================================================================
--- /trunk/calendar/setup/tables_update.inc.php	(revision 6725)
+++ /trunk/calendar/setup/tables_update.inc.php	(revision 7223)
@@ -141,3 +141,10 @@
 		return $GLOBALS['setup_info']['calendar']['currentver'];
 	}
+
+    $test[] = '2.4.1';
+    function calendar_upgrade2_4_1()
+    {
+        $GLOBALS['setup_info']['calendar']['currentver'] = '2.4.2';
+        return $GLOBALS['setup_info']['calendar']['currentver'];
+    }
 ?>
Index: /trunk/calendar/setup/setup.inc.php
===================================================================
--- /trunk/calendar/setup/setup.inc.php	(revision 6725)
+++ /trunk/calendar/setup/setup.inc.php	(revision 7223)
@@ -12,5 +12,5 @@
 
 	$setup_info['calendar']['name']    = 'calendar';
-	$setup_info['calendar']['version'] = '2.4.1';
+	$setup_info['calendar']['version'] = '2.4.2';
 	$setup_info['calendar']['app_order'] = 3;
 	$setup_info['calendar']['enable']  = 1;
@@ -52,4 +52,4 @@
 	$setup_info['calendar']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('2.4.1')
+		 'versions' => Array('2.4.2')
 	);
Index: /trunk/workflow/setup/tables_update.inc.php
===================================================================
--- /trunk/workflow/setup/tables_update.inc.php	(revision 7009)
+++ /trunk/workflow/setup/tables_update.inc.php	(revision 7223)
@@ -353,3 +353,11 @@
 		return $GLOBALS['setup_info']['workflow']['currentver'];
 	}
+
+    $test[] = '2.4.1';
+    function workflow_upgrade2_4_1()
+    {
+        $GLOBALS['setup_info']['workflow']['currentver'] = '2.4.2';
+        return $GLOBALS['setup_info']['workflow']['currentver'];
+    }
+
 ?>
Index: /trunk/workflow/setup/setup.inc.php
===================================================================
--- /trunk/workflow/setup/setup.inc.php	(revision 6537)
+++ /trunk/workflow/setup/setup.inc.php	(revision 7223)
@@ -13,5 +13,5 @@
 	$setup_info['workflow']['name']			= 'workflow';
 	$setup_info['workflow']['title']		= 'Workflow Management';
-	$setup_info['workflow']['version']		= '2.4.1';
+	$setup_info['workflow']['version']		= '2.4.2';
 	$setup_info['workflow']['app_order']	= 10;
 	$setup_info['workflow']['enable']		= 1;
@@ -63,5 +63,5 @@
 	$setup_info['workflow']['depends'][] = array(
 		'appname' => 'preferences',
-		'versions' => Array('0.9.13.002', '2.0', '2.2', '2.4')
+		'versions' => Array('0.9.13.002', '2.0', '2.2', '2.4.2')
 	);
 ?>
Index: /trunk/expressoMail1_2/setup/tables_update.inc.php
===================================================================
--- /trunk/expressoMail1_2/setup/tables_update.inc.php	(revision 6996)
+++ /trunk/expressoMail1_2/setup/tables_update.inc.php	(revision 7223)
@@ -322,3 +322,10 @@
 	    return $GLOBALS['setup_info']['expressoMail1_2']['currentver'];
 	}
+
+    $test[] = '2.4.8.1';
+    function expressoMail1_2_upgrade2_4_8_1() {
+        $GLOBALS['setup_info']['expressoMail1_2']['currentver'] = '2.4.8.2';
+        return $GLOBALS['setup_info']['expressoMail1_2']['currentver'];
+    }
+
 ?>
Index: /trunk/expressoMail1_2/setup/setup.inc.php
===================================================================
--- /trunk/expressoMail1_2/setup/setup.inc.php	(revision 6996)
+++ /trunk/expressoMail1_2/setup/setup.inc.php	(revision 7223)
@@ -13,5 +13,5 @@
 $setup_info['expressoMail1_2']['name'] = 'expressoMail1_2';
 $setup_info['expressoMail1_2']['title'] = 'Expresso Mail';
-$setup_info['expressoMail1_2']['version'] = '2.4.8.1';
+$setup_info['expressoMail1_2']['version'] = '2.4.8.2';
 $setup_info['expressoMail1_2']['app_order'] = 2;
 $setup_info['expressoMail1_2']['tables'][] = 'phpgw_certificados';
@@ -46,5 +46,5 @@
 $setup_info['expressoMail1_2']['depends'][] = array(
     'appname' => 'phpgwapi',
-    'versions' => Array('2.4')
+    'versions' => Array('2.4.2')
 );
 