Index: sandbox/2.5.0-expresso1/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 7100)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 7227)
@@ -935,2 +935,13 @@
 The contact was moved from recent contacts to personal contacts successful.	expressoMail1_2	pt-br	O Contato foi movido dos contatos recentes para os contatos pessoais com sucesso.
 You can not remove the message with the preference 'Send to Trash' enabled. There is no permission to move messages to the trash folder.	expressoMail1_2	pt-br	Não é possível remover a mensagem com a preferencia 'Enviar para lixeira' ativada. Não existe permissão para mover mensagens para a pasta lixeira.
+Moving message %1 of %2	expressoMail1_2	pt-br	Movendo mensagem %1 de %2
+All done. Message(s) moved successfully	expressoMail1_2	pt-br	Concluído. Mensagem(ns) movida(s) com sucesso.
+Starting to move messages	expressoMail1_2	pt-br	Iniciando a movimentação de mensagens
+MailArchiver does not seems to be running or installed at this workstation, local messages are disabled. Check it out!	expressoMail1_2	pt-br	O MailArchiver não parece estar rodando ou instalado nesta estação de trabalho, as mensagens locais estão desativadas. Verifique!
+Messages successfully unarchived	expressoMail1_2	pt-br	Mensagens desarquivadas com sucesso
+All done. End of archive messages operation	expressoMail1_2	pt-br	Concluído. Operação de arquivamento encerrada
+No messages were unarchived	expressoMail1_2	pt-br	Nenhuma mensagem foi desarquivada
+Some messages weren't successfully unarchived	expressoMail1_2	pt-br	Algumas mensagens não puderam ser desarquivadas
+Coudn't unarchive message	expressoMail1_2	pt-br	Não foi possível desarquivar mensagem
+Message successfully unarchived	expressoMail1_2	pt-br	Mensagem desarquivada com sucesso
+Unarchiving message %1 of %2	expressoMail1_2	pt-br	Desarquivando mensagem %1 de %2
Index: sandbox/2.5.0-expresso1/expressoMail1_2/js/mail_archiver.js
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/js/mail_archiver.js	(revision 7224)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/js/mail_archiver.js	(revision 7227)
@@ -527,6 +527,6 @@
     }
     else{
+        //Marcosw inicio - Melhoria na exibição de mensagem
         //document.getElementById('main_title').innerHTML = get_lang("All done. End of archive messages operation");
-        //Marcosw inicio - Melhoria na exibição de mensagem
         write_msg(get_lang("All done. End of archive messages operation"));
         //Marcosw fim
@@ -756,5 +756,5 @@
     if (data)
     {
-        if (data.error)
+        if (data.error != "")
         {
             expresso_mail_archive.unarchive_error_counter++;
@@ -777,34 +777,44 @@
         {    
             if (expresso_mail_archive.message_list.length==1){
-                //write_msg(get_lang('Message successfully unarchived'));
-                document.getElementById('main_title').innerHTML = get_lang('Message successfully unarchived');
-                window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);  
+                //Marcosw inicio - melhoria na exibição da mensagem
+                //document.getElementById('main_title').innerHTML = get_lang('Message successfully unarchived');
+                //window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);  
+                write_msg(get_lang('Message successfully unarchived'));
+                //Marcosw fim
             }
             else{
-                //write_msg(get_lang('Messages successfully unarchived'));
-                document.getElementById('main_title').innerHTML = get_lang('Messages successfully unarchived');
-                window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);  
+                //Marcosw inicio - melhoria na exibição da mensagem
+                //document.getElementById('main_title').innerHTML = get_lang('Messages successfully unarchived');
+                //window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);  
+                write_msg(get_lang('Messages successfully unarchived'));
+                //Marcosw fim
             }
         }
         else
+        {
+            if (expresso_mail_archive.message_list.length==1){
+                //Marcosw inicio - melhoria na exibição da mensagem
+                write_msg(get_lang("Coudn't unarchive message"));
+                //document.getElementById('main_title').innerHTML = get_lang("Coudn't unarchive message");
+                //window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);  
+                //Marcosw fim
+            }
+            else if (expresso_mail_archive.unarchive_error_counter == expresso_mail_archive.message_list.length)
             {
-                if (expresso_mail_archive.message_list.length==1){
-                    //write_msg(get_lang('Message successfully unarchived'));
-                    document.getElementById('main_title').innerHTML = get_lang("Coudn't unarchive message");
-                    window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);  
-                }
-                else if (expresso_mail_archive.unarchive_error_counter == expresso_mail_archive.message_list.length)
-                {
-                    //write_msg(get_lang('Message successfully unarchived'));
-                    document.getElementById('main_title').innerHTML = get_lang("No messages were unarchived");
-                    window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);
-                }
-                else{
-                    //write_msg(get_lang('Messages successfully unarchived'));
-                    document.getElementById('main_title').innerHTML = get_lang("Some messages weren't successfully unarchived");
-                    window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);  
-                }
-                    
-            }
+                //Marcosw inicio - melhoria na exibição da mensagem
+                write_msg(get_lang('No messages were unarchived'));
+                //document.getElementById('main_title').innerHTML = get_lang("No messages were unarchived");
+                //window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);
+                //Marcosw fim
+            }
+            else{
+                //Marcosw inicio - melhoria na exibição da mensagem
+                write_msg(get_lang("Some messages weren't successfully unarchived"));
+                //document.getElementById('main_title').innerHTML = get_lang("Some messages weren't successfully unarchived");
+                //window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);  
+                //Marcosw fim
+            }
+                
+        }
         //clear message list
         expresso_mail_archive.message_list = new Array();
@@ -925,5 +935,9 @@
 MailArchiver.prototype.moveMessages = function(folder, msgs_number){    
     try{
-        document.getElementById('main_title').innerHTML = get_lang("Starting to move messages");
+        //Marcos inicio - melhoria na exibição da mensagem
+        //document.getElementById('main_title').innerHTML = get_lang("Starting to move messages");
+        write_msg(get_lang("Starting to move messages"));
+        //Marcosw fim
+
         expresso_mail_archive.CreateMessageList(msgs_number);
         expresso_mail_archive.folder_destination = folder;
@@ -951,6 +965,8 @@
 
     if((expresso_mail_archive.message_list.length > 0) && (expresso_mail_archive.message_list[0] != '')) {
-        document.getElementById('main_title').innerHTML = get_lang('Moving message %1 of %2', expresso_mail_archive.messages_processed, expresso_mail_archive.total_messages);
-        
+        //Marcosw inicio - Melhoria na exibição da mensagem
+        //document.getElementById('main_title').innerHTML = get_lang('Moving message %1 of %2', expresso_mail_archive.messages_processed, expresso_mail_archive.total_messages);
+        write_msg(get_lang('Moving message %1 of %2', expresso_mail_archive.messages_processed, expresso_mail_archive.total_messages));
+        //Marcosw fim
         ArchiveServices.moveMessages(expresso_mail_archive.moveMessagesOperationOK, 
                                      expresso_mail_archive.moveMessagesOperationFailure,
@@ -979,6 +995,9 @@
     }
     else{
-        document.getElementById('main_title').innerHTML = get_lang("All done. Message(s) moved successfully");
-        window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);
+        //Marcosw inicio - Melhoria na exibição de mensagem
+        //document.getElementById('main_title').innerHTML = get_lang("All done. Message(s) moved successfully");
+        //window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);
+        write_msg(get_lang("All done. Message(s) moved successfully"));
+        //Marcosw fim
         
         //Tag messages moved
Index: sandbox/2.5.0-expresso1/expressoMail1_2/js/messages_controller.js
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/js/messages_controller.js	(revision 7204)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/js/messages_controller.js	(revision 7227)
@@ -25,5 +25,4 @@
 
             if(tree_name == 'tree_folders'){ //only the 'tree_folders' must show messages. 'folders_tree' are just for managment operation
-                console.log('if 1');
                 var exp_dfs = new Array(baseFolder,msg_range_begin,emails_per_page,sort_box_type,search_box_type, sort_box_reverse,preview_msg_subject,preview_msg_tip);
                 expresso_mail_archive.queryconfig.setExpressoDefaults(exp_dfs);
@@ -32,13 +31,10 @@
             else{
                 if (!tree_name){
-                    console.log('if 2');
                     //window.alert('sem arvore para atualizar, com sort_box_type =' + sort_box_type + ' e search_box_type= ' + search_box_type + ' reverse -- ' + sort_box_reverse);
                     var exp_dfs = new Array(baseFolder,msg_range_begin,emails_per_page,sort_box_type,search_box_type,sort_box_reverse,preview_msg_subject,preview_msg_tip);
-                    console.log(exp_dfs);
                     expresso_mail_archive.queryconfig.setExpressoDefaults(exp_dfs);
                     expresso_mail_archive.listMessages();
                 }
                 if(tree_name == 'folders_tree'){
-                    console.log('if 3   ');
                     /*var div_export_local = document.createElement('div');
                     div.style.width
Index: sandbox/2.5.0-expresso1/expressoMail1_2/js/draw_api.js
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/js/draw_api.js	(revision 7204)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/js/draw_api.js	(revision 7227)
@@ -680,5 +680,4 @@
         //se for pasta local
         if (/^local_messages/.test(current_folder)) {
-            console.log('buscar mensaens locais');
             $(".folders-loading").removeClass("folders-loading"); //remove o icone de loading ao clicar nas pastas locais
         }