Index: /trunk/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- /trunk/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 7100)
+++ /trunk/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 7258)
@@ -648,5 +648,5 @@
 with some	expressoMail1_2	pt-br	com algumas
 With the following message	expressoMail1_2	pt-br	Com a seguinte mensagem
-Would you like to have a read receipt option to read messages?	expressoMail1_2	pt-br	Deseja apresentar opção de confirmação de leitura ao ler mensagem?	
+Would you like to have a read receipt option to read messages?	expressoMail1_2	pt-br	Deseja apresentar opção de confirmação de leitura ao ler mensagem?
 Would you like to keep archived messages?	expressoMail1_2	pt-br	Você gostaria de manter as mensagens arquivadas?
 Would you like to use local messages?	expressoMail1_2	pt-br	Você gostaria de usar mensagens locais?
@@ -935,2 +935,4 @@
 The contact was moved from recent contacts to personal contacts successful.	expressoMail1_2	pt-br	O Contato foi movido dos contatos recentes para os contatos pessoais com sucesso.
 You can not remove the message with the preference 'Send to Trash' enabled. There is no permission to move messages to the trash folder.	expressoMail1_2	pt-br	Não é possível remover a mensagem com a preferencia 'Enviar para lixeira' ativada. Não existe permissão para mover mensagens para a pasta lixeira.
+One of his messages can not be marked as read, because it contains a read confirmation.	expressoMail1_2	pt-br	Uma de suas mensagens não pode ser marcada como lida, pois contém uma confirmação de leitura.
+ of its messages could not be marked as read, because it contains a read confirmation.	expressoMail1_2	pt-br	 de suas mensagens não puderam ser marcadas como lida, pois contém uma confirmação de leitura.
Index: /trunk/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 7235)
+++ /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 7258)
@@ -3641,4 +3641,13 @@
 	return $returns;
 }
+    function verify_disposition_notification($msg){
+        $header = imap_fetchheader($this->mbox, $msg, FT_UID);
+        $pattern = '/^[ \t]*Disposition-Notification-To:.*/mi';
+        if (preg_match($pattern, $header, $fields))
+            return true;
+        else
+            return false;
+    }
+
 	function set_messages_flag($params)
 	{		
@@ -3667,8 +3676,17 @@
 			$msgs = explode(",",$msgs_to_set);
 			foreach($msgs as $men){
-				if (imap_setflag_full($this->mbox, $men, "\\Seen", ST_UID))
-					$return["msgs_to_set"] .= $men.",";
-				else
-					$return["msgs_not_to_set"] .= $men.",";
+
+                if($this->verify_disposition_notification($men)){
+
+                    if(!array_key_exists('disposition_notification_to', $return))
+                        $return['disposition_notification_to'] = array();
+
+                    $return["disposition_notification_to"][] = $men;
+                }else{
+                    if (imap_setflag_full($this->mbox, $men, "\\Seen", ST_UID))
+                        $return["msgs_to_set"] .= $men.",";
+                    else
+                        $return["msgs_not_to_set"] .= $men.",";
+                }
 			}
 			$return["status"] = true;
Index: /trunk/expressoMail1_2/js/main.js
===================================================================
--- /trunk/expressoMail1_2/js/main.js	(revision 7245)
+++ /trunk/expressoMail1_2/js/main.js	(revision 7258)
@@ -3267,4 +3267,13 @@
 			return;
 		var msgs_to_set = data.msgs_to_set.split(",");
+
+
+        if(data.disposition_notification_to){
+            $.Zebra_Dialog(data.disposition_notification_to.length == 1 ? get_lang('One of his messages can not be marked as read, because it contains a read confirmation.') : data.disposition_notification_to.length + get_lang(' of its messages could not be marked as read, because it contains a read confirmation.'), {
+                'type':     'warning',
+                'overlay_opacity': '0.5',
+                'buttons':  ['Fechar']
+            });
+        }
 
 		if(!data.status) {