Index: sandbox/2.5.0-expresso1/expressoMail1_2/inc/class.exporteml.inc.php
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/inc/class.exporteml.inc.php	(revision 7261)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/inc/class.exporteml.inc.php	(revision 7262)
@@ -82,5 +82,5 @@
  
 			//$subject = preg_replace('/\//', '\'', $subject);
-			$from = "Ã¡Ã Ã¢Ã£Ã€Ã©ÃšÃªÃ«Ã­Ã¬Ã®Ã¯Ã³Ã²ÃŽÃµÃ¶ÃºÃ¹Ã»ÃŒÃ§?\"!@#$%Âš&*()-=+ÂŽ`[]{}~^,<>;:/?\\|Â¹Â²Â³Â£Â¢Â¬Â§ÂªÂºÂ° .ÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃ";
+			$from = "áàâãäéèêëíìîïóòôõöúùûüç?\"!@#$%š&*()-=+Ž`[]{}~^,<>;:/?\\|¹²³£¢¬§ªº° .ÁÀÂÃÄÉÈÊËÍÌÎÏÓÒÔÕÖÚÙÛÜÇ";
 			$to =   "aaaaaeeeeiiiiooooouuuuc______________________________________________AAAAAEEEEIIIIOOOOOUUUUC";
 			$subject = strtr($subject,$from,$to);
@@ -93,5 +93,5 @@
 
 			if($subject && $i){
-				$from = "Ã¡Ã Ã¢Ã£Ã€Ã©ÃšÃªÃ«Ã­Ã¬Ã®Ã¯Ã³Ã²ÃŽÃµÃ¶ÃºÃ¹Ã»ÃŒÃ§?\"!@#$%Âš&*()-=+ÂŽ`[]{}~^,<>;:/?\\|Â¹Â²Â³Â£Â¢Â¬Â§ÂªÂºÂ° .ÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃ";
+				$from = "áàâãäéèêëíìîïóòôõöúùûüç?\"!@#$%š&*()-=+Ž`[]{}~^,<>;:/?\\|¹²³£¢¬§ªº° .ÁÀÂÃÄÉÈÊËÍÌÎÏÓÒÔÕÖÚÙÛÜÇ";
 				$to =   "aaaaaeeeeiiiiooooouuuuc______________________________________________AAAAAEEEEIIIIOOOOOUUUUC";
 				$subject = strtr($subject,$from,$to);
@@ -99,5 +99,5 @@
 				$subject = preg_replace('/[^a-zA-Z0-9_]/i', '_', $subject); 
 
-				// Ã© necessÃ¡rio que a sessÃ£o faÃ§a parte do nome do arquivo para que o mesmo nÃ£o venha vazio o.O 
+				// é necessário que a sessão faça parte do nome do arquivo para que o mesmo não venha vazio o.O 
 				$file = $subject."_".$i."_".$_SESSION[ 'phpgw_session' ][ 'session_id' ].".eml";  
 			} else{
@@ -255,5 +255,5 @@
 	// Funcao alterada para que, quando houver  
 	// apenas um arquivo a ser exportado, 
-	// nÃ£o seja criado em zip 
+	// não seja criado em zip 
 	//
 	// Funcao altarada para exportar uma ou
@@ -554,5 +554,5 @@
 	
 	/* Airton
-	 * Fazendo o port de um mÃ©todo necessÃ¡rio para o funcionamento do arquivamento local
+	 * Fazendo o port de um método necessário para o funcionamento do arquivamento local
 	 */
 	//MAILARCHIVER 
@@ -582,5 +582,5 @@
 	} 
 	/*Airton 
-	 * Fim do mÃ©todo portado
+	 * Fim do método portado
 	 */ 
 	
@@ -626,10 +626,10 @@
 	function remove_accents($string) {
 		/*
-			$array1 = array("Ã¡", "Ã ", "Ã¢", "Ã£", "Ã€", "Ã©", "Ãš", "Ãª", "Ã«", "Ã­", "Ã¬", "Ã®", "Ã¯", "Ã³", "Ã²", "ÃŽ", "Ãµ", "Ã¶", "Ãº", "Ã¹", "Ã»", "ÃŒ", "Ã§" , "?", "\"", "!", "@", "#", "$", "%", "Âš", "&", "*", "(", ")", "-", "=", "+", "ÂŽ", "`", "[", "]", "{", "}", "~", "^", ",", "<", ">", ";", ":", "/", "?", "\\", "|", "Â¹", "Â²", "Â³", "Â£", "Â¢", "Â¬", "Â§", "Âª", "Âº", "Â°", "Ã", "Ã", "Ã", "Ã", "Ã", "Ã", "Ã", "Ã", "Ã", "Ã", "Ã", "Ã", "Ã", "Ã", "Ã", "Ã", "Ã", "Ã", "Ã", "Ã", "Ã", "Ã", "Ã");
+			$array1 = array("á", "à", "â", "ã", "ä", "é", "è", "ê", "ë", "í", "ì", "î", "ï", "ó", "ò", "ô", "õ", "ö", "ú", "ù", "û", "ü", "ç" , "?", "\"", "!", "@", "#", "$", "%", "š", "&", "*", "(", ")", "-", "=", "+", "Ž", "`", "[", "]", "{", "}", "~", "^", ",", "<", ">", ";", ":", "/", "?", "\\", "|", "¹", "²", "³", "£", "¢", "¬", "§", "ª", "º", "°", "Á", "À", "Â", "Ã", "Ä", "É", "È", "Ê", "Ë", "Í", "Ì", "Î", "Ï", "Ó", "Ò", "Ô", "Õ", "Ö", "Ú", "Ù", "Û", "Ü", "Ç");
 			$array2 = array("a", "a", "a", "a", "a", "e", "e", "e", "e", "i", "i", "i", "i", "o", "o", "o", "o", "o", "u", "u", "u", "u", "c" , "" , ""  , "" , "" , "" , "" , "" , "" , "" , "" , "" , "" , "" , "" , "" , "" , "" , "" , "" , "" , "" , "" , "" , "" , "" ,  "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "A", "A", "A", "A", "A", "E", "E", "E", "E", "I", "I", "I", "I", "O", "O", "O", "O", "O", "U", "U", "U", "U", "C");
 		  	return str_replace( $array1, $array2, $string );
 		*/
 		return strtr($string,
-			"Ã¡Ã Ã¢Ã£Ã€Ã©ÃšÃªÃ«Ã­Ã¬Ã®Ã¯Ã³Ã²ÃŽÃµÃ¶ÃºÃ¹Ã»ÃŒÃ§?\"'!@#$%Âš&*()-=+ÂŽ`[]{}~^,<>;:/?\\|Â¹Â²Â³Â£Â¢Â¬Â§ÂªÂºÂ°ÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃÃ",
+			"áàâãäéèêëíìîïóòôõöúùûüç?\"'!@#$%š&*()-=+Ž`[]{}~^,<>;:/?\\|¹²³£¢¬§ªº°ÁÀÂÃÄÉÈÊËÍÌÎÏÓÒÔÕÖÚÙÛÜÇ",
 			"aaaaaeeeeiiiiooooouuuuc___________________________________________AAAAAEEEEIIIIOOOOOUUUUC");
         }